string broj_stalaktita_i_visina_perice;
broj_stalaktita_i_visina_perice = Console.ReadLine();
int razmak1;
razmak1 = broj_stalaktita_i_visina_perice.IndexOf(" ");
string visina_perice_string;
visina_perice_string = broj_stalaktita_i_visina_perice.Substring(razmak1 + 1);
int visina_perice_int;
visina_perice_int = Convert.ToInt32(visina_perice_string);
string broj_stalaktita_string = broj_stalaktita_i_visina_perice.Substring(0, razmak1);
int broj_stalaktita_int;
broj_stalaktita_int = Convert.ToInt32(broj_stalaktita_string);
string visine_stalaktita_string;
visine_stalaktita_string = Console.ReadLine();
int razmak2;
razmak2 = visine_stalaktita_string.IndexOf(" ");
for (int i = 0; broj_stalaktita_int >= i; i++)
{ 
    string visina_stalaktita_i_string;
    visina_stalaktita_i_string = visine_stalaktita_string.Substring(0, razmak2);
    int visina_stalaktita_i_int;
    visina_stalaktita_i_int = Convert.ToInt32(visina_stalaktita_i_string);
    visine_stalaktita_string = visine_stalaktita_string.Substring(razmak2 + 1);
    if (visina_perice_int >= visina_stalaktita_i_int)
    {
        Console.WriteLine(i + 1);
        return;
    }

}
Console.WriteLine(-1);